Modify

Opened 9 years ago

Closed 9 years ago

Last modified 6 years ago

#73 closed defect (fixed)

A Lot of files missing in /etc/rcx.d --> Can not startup ASUS-WL500g with this filesystem

Reported by: E.D.Grootjans <e.d.grootjans@…> Owned by: stappers
Priority: major Milestone: milestone:
Component: debian/rootfs Version: 2.0
Severity: Keywords:
Cc:

Description

I have done:

sudo rm -rf /home/erik/src/*
sudo rm -rf /home/erik/src/.*
sudo rm -rf /home/erik/.Trash-0

mkdir -p /home/erik/src
cd /home/erik/src
svn co http://www.debwrt.net/repos/debwrt/trunk

#For no rights on build ERROR
sudo mkdir -p /home/erik/src/trunk/build
sudo chmod a+w /home/erik/src/trunk/build

cd /home/erik/src/trunk
make menuconfig
LANG=C make

After a few hours I got
bin/trx files and a rootfs (and a 4 line printout of the version of debwrt)

I have tryed this version (r156) on an usb stick, but the asus wl500g did not startup with this file system.

Today i made a directory-structure on my disk of the rootfs from the website and the rootfs created by my computer (r156)
I did a:

diff -qr debwrt201-org rev156 >dif

and got a lot off output

but also the next lines:

...
Only in debwrt201-org/etc: rc.local
Only in debwrt201-org/etc/rc0.d: K20openbsd-inetd
Only in debwrt201-org/etc/rc0.d: K25hwclock.sh
Only in debwrt201-org/etc/rc0.d: K70ebtables
Only in debwrt201-org/etc/rc0.d: S20sendsigs
Only in debwrt201-org/etc/rc0.d: S30rsyslog
Only in debwrt201-org/etc/rc0.d: S30urandom
Only in debwrt201-org/etc/rc0.d: S31umountnfs.sh
Only in debwrt201-org/etc/rc0.d: S35networking
Only in debwrt201-org/etc/rc0.d: S36ifupdown
Only in debwrt201-org/etc/rc0.d: S40umountfs
Only in debwrt201-org/etc/rc0.d: S60umountroot
Only in debwrt201-org/etc/rc0.d: S90halt
Only in debwrt201-org/etc/rc1.d: K20openbsd-inetd
Only in debwrt201-org/etc/rc1.d: K85dnsmasq
Only in debwrt201-org/etc/rc1.d: K90rsyslog
Only in debwrt201-org/etc/rc1.d: S30killprocs
Only in debwrt201-org/etc/rc1.d: S70bootlogs
Only in debwrt201-org/etc/rc1.d: S90single
Only in debwrt201-org/etc/rc2.d: S10rsyslog
Only in debwrt201-org/etc/rc2.d: S15dnsmasq
Only in debwrt201-org/etc/rc2.d: S16ssh
Only in debwrt201-org/etc/rc2.d: S20openbsd-inetd
Only in debwrt201-org/etc/rc2.d: S23ntp
Only in debwrt201-org/etc/rc2.d: S70bootlogs
Only in debwrt201-org/etc/rc2.d: S89cron
Only in debwrt201-org/etc/rc2.d: S99rc.local
Only in debwrt201-org/etc/rc2.d: S99rmnologin
Only in debwrt201-org/etc/rc2.d: S99stop-bootlogd
Only in debwrt201-org/etc/rc3.d: S10rsyslog
....

I have checked if i did not make an error putting it on usb, and looked in roofs-mispel-angel-2.01. Also there a lot off files are missing.

If you want the file with the differnce, please let me know.

Attachments (1)

putty.log (19.3 KB) - added by E.D.Grootjans <e.d.grootjans@…> 9 years ago.
log bestand van het opstarten van de ASUS WL500g-deLuxe met debwrt rev156

Download all attachments as: .zip

Change History (22)

comment:1 follow-up: Changed 9 years ago by stappers

Nice, very nice formatted ticket!

What I understand from this ticket, is that a ASUS-WL500g is not booting
and that the suposed cullprit is the root file system.

How to test drive a root file system is documented at SmallSteps.

Actually, I think the problem is a non booting kernel.
In that case might NetConsole and NetworkingSteps be helpfull.

comment:2 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

Its NOT the kernel, because i didnot flash a new kernel.
I use the kernel created by -i think- r134.
This one started GOOD with the filesystem of the website.

I have only put the new filesystem on the usb-stick
So only here can be the trouble.... --> in the filesystem i mean

The messages off the ASUS WL500g

CFE version 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: ¤G  3¤ë  1 16:49:41 CST 2005 (root@PaNLinux)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena.
Initializing Devices.
rndis0: Broadcom USB RNDIS Network Adapter (P-t-P)
CPU type 0x29007: 200MHz
Total memory: 0x2000000 bytes (32MB)

Total memory used by CFE:  0x80300000 - 0x80436F10 (1273616)
Initialized Data:          0x803313D0 - 0x80333760 (9104)
BSS Area:                  0x80333760 - 0x80334F10 (6064)
Local Heap:                0x80334F10 - 0x80434F10 (1048576)
Stack Area:                0x80434F10 - 0x80436F10 (8192)
Text (code) segment:       0x80300000 - 0x803313D0 (201680)
Boot area (physical):      0x00437000 - 0x00477000
Relocation Factor:         I:00000000 - D:00000000

Rescue Flag disable.
Reading :: TFTP Server.
Failed.: Error
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 4092 bytes read
Entry at 0x80001000
Starting program at 0x80001000
Linux version 2.6.34.7 (erik@britannica) (gcc version 4.3.3 (GCC) ) #1 Sun Nov 14 15:57:02 CET 2010
CPU revision is: 00029007 (Broadcom BCM3302)
ssb: Sonics Silicon Backplane found at address 0x18000000
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  root=/dev/sda1 init=/sbin/init rootdelay=15 noinitrd console=ttyS0,115200 netconsole=6665@192.168.1.1/eth0,6666@192.168.1.2/
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, VIPT, no aliases, linesize 16 bytes
Memory: 28928k/32768k available (2814k kernel code, 3840k reserved, 428k data, 160k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 198.65 BogoMIPS (lpj=397312)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
Switching to clocksource MIPS
PCI: Fixing up bridge 0000:00:00.0
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
pci 0000:00:03.0: BAR 0: assigned [mem 0x40000000-0x40001fff]
pci 0000:00:03.0: BAR 0: set to [mem 0x40000000-0x40001fff] (PCI address [0x40000000-0x40001fff]
pci 0000:00:02.2: BAR 0: assigned [mem 0x40002000-0x400020ff]
pci 0000:00:02.2: BAR 0: set to [mem 0x40002000-0x400020ff] (PCI address [0x40002000-0x400020ff]
pci 0000:00:02.0: BAR 4: assigned [io  0x0400-0x041f]
pci 0000:00:02.0: BAR 4: set to [io  0x0400-0x041f] (PCI address [0x400-0x41f]
pci 0000:00:02.1: BAR 4: assigned [io  0x0420-0x043f]
pci 0000:00:02.1: BAR 4: set to [io  0x0420-0x043f] (PCI address [0x420-0x43f]
PCI: Enabling device 0000:00:03.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:03.0
ssb: Sonics Silicon Backplane found on PCI device 0000:00:03.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
init_vdso successfull
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 56
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
loop: module loaded
Uniform Multi-Platform E-IDE driver
ide-gd driver 1.18
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
 CFI mfr 0x000000c2
 CFI id  0x000022a8
 Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.1.
number of CFI chips: 1
Flash device: 0x400000 at 0x1fc00000
bootloader size: 262144
Looking for dual image
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000003f0000 : "linux"
0x000000149c00-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=150000, len=2A0000 
0x000000150000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "nvram"
b44: b44.c:v2.0
b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:15:f2:77:d0:c1
netconsole: local port 6665
netconsole: local IP 192.168.1.1
netconsole: interface 'eth0'
netconsole: remote port 6666
netconsole: remote IP 192.168.1.2
netconsole: remote ethernet address ff:ff:ff:ff:ff:ff
netconsole: device eth0 not up yet, forcing it
netconsole: timeout waiting for carrier
Linux version 2.6.34.7 (erik@britannica) (gcc version 4.3.3 (GCC) ) #1 Sun Nov 14 15:57:02 CET 2010
CPU revision is: 00029007 (Broadcom BCM3302)
ssb: Sonics Silicon Backplane found at address 0x18000000
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  root=/dev/sda1 init=/sbin/init rootdelay=15 noinitrd console=ttyS0,115200 netconsole=6665@192.168.1.1/eth0,6666@192.168.1.2/
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, VIPT, no aliases, linesize 16 bytes
Memory: 28928k/32768k available (2814k kernel code, 3840k reserved, 428k data, 160k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 198.65 BogoMIPS (lpj=397312)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
Switching to clocksource MIPS
PCI: Fixing up bridge 0000:00:00.0
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
pci 0000:00:03.0: BAR 0: assigned [mem 0x40000000-0x40001fff]
pci 0000:00:03.0: BAR 0: set to [mem 0x40000000-0x40001fff] (PCI address [0x40000000-0x40001fff]
pci 0000:00:02.2: BAR 0: assigned [mem 0x40002000-0x400020ff]
pci 0000:00:02.2: BAR 0: set to [mem 0x40002000-0x400020ff] (PCI address [0x40002000-0x400020ff]
pci 0000:00:02.0: BAR 4: assigned [io  0x0400-0x041f]
pci 0000:00:02.0: BAR 4: set to [io  0x0400-0x041f] (PCI address [0x400-0x41f]
pci 0000:00:02.1: BAR 4: assigned [io  0x0420-0x043f]
pci 0000:00:02.1: BAR 4: set to [io  0x0420-0x043f] (PCI address [0x420-0x43f]
PCI: Enabling device 0000:00:03.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:03.0
ssb: Sonics Silicon Backplane found on PCI device 0000:00:03.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
init_vdso successfull
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 56
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
loop: module loaded
Uniform Multi-Platform E-IDE driver
ide-gd driver 1.18
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
 CFI mfr 0x000000c2
 CFI id  0x000022a8
 Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.1.
number of CFI chips: 1
Flash device: 0x400000 at 0x1fc00000
bootloader size: 262144
Looking for dual image
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000003f0000 : "linux"
0x000000149c00-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=150000, len=2A0000 
0x000000150000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "nvram"
b44: b44.c:v2.0
b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:15:f2:77:d0:c1
netconsole: local port 6665
netconsole: local IP 192.168.1.1
netconsole: interface 'eth0'
netconsole: remote port 6666
netconsole: remote IP 192.168.1.2
netconsole: remote ethernet address ff:ff:ff:ff:ff:ff
netconsole: device eth0 not up yet, forcing it
netconsole: timeout waiting for carrier
console [netcon0] enabled
netconsole: network logging started
usbmon: debugfs is not available
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
PCI: Enabling device 0000:00:02.2 (0000 -> 0002)
PCI: Fixing up device 0000:00:02.2
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:02.2: Enabling legacy PCI PM
ehci_hcd 0000:00:02.2: irq 5, io mem 0x40002000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 1.00
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.34.7 ehci_hcd
usb usb1: SerialNumber: 0000:00:02.2
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detected
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
ohci_hcd ssb0:2: SSB OHCI Controller
ohci_hcd ssb0:2: new USB bus registered, assigned bus number 2
ohci_hcd ssb0:2: irq 6, io mem 0x18003000
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: SSB OHCI Controller
usb usb2: Manufacturer: Linux 2.6.34.7 ssb-usb-ohci
usb usb2: SerialNumber: ssb0:2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
uhci_hcd: USB Universal Host Controller Interface driver
PCI: Enabling device 0000:00:02.0 (0000 -> 0001)
PCI: Fixing up device 0000:00:02.0
uhci_hcd 0000:00:02.0: UHCI Host Controller
uhci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:02.0: irq 5, io base 0x00000400
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.34.7 uhci_hcd
usb usb3: SerialNumber: 0000:00:02.0
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
PCI: Enabling device 0000:00:02.1 (0000 -> 0001)
PCI: Fixing up device 0000:00:02.1
uhci_hcd 0000:00:02.1: UHCI Host Controller
uhci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:02.1: irq 5, io base 0x00000420
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.34.7 uhci_hcd
usb usb4: SerialNumber: 0000:00:02.1
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
Waiting 15sec before mounting root device...
usb 1-4: new high speed USB device using ehci_hcd and address 3
usb 1-4: New USB device found, idVendor=125f, idProduct=c83a
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-4: Product: A-DATA USB Flash Drive
usb 1-4: Manufacturer: A-DATA
usb 1-4: SerialNumber: 06e7cf43be21fe
scsi0 : usb-storage 1-4:1.0
usb 3-1: new full speed USB device using uhci_hcd and address 2
usb 3-1: New USB device found, idVendor=067b, idProduct=2303
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-1: Product: USB-Serial Controller D
usb 3-1: Manufacturer: Prolific Technology Inc. 
scsi 0:0:0:0: Direct-Access     A-DATA   USB Flash Drive  0.00 PQ: 0 ANSI: 2
sd 0:0:0:0: [sda] 7897088 512-byte logical blocks: (4.04 GB/3.76 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] Assuming drive cache: write through
 sda: sda1 sda2
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] Attached SCSI removable disk
EXT3-fs (sda1): recovery required on readonly filesystem
EXT3-fs (sda1): write access will be enabled during recovery
kjournald starting.  Commit interval 5 seconds
EXT3-fs (sda1): recovery complete
EXT3-fs (sda1): mounted filesystem with writeback data mode
VFS: Mounted root (ext3 filesystem) readonly on device 8:1.
Freeing unused kernel memory: 160k freed
Algorithmics/MIPS FPU Emulator v1.5
EXT3-fs (sda1): using internal journal

If i look at the filesystem (in ../build/rootfs-mispel-angel-2.01/etc
I do an :

erik@britannica:~/src/trunk/build/rootfs-mipsel-angel-2.0-1$ ls -ld etc/rc*.d/*
-rw-r--r-- 1 root root 353 Jan  1 06:34 etc/rc0.d/README
-rwxr-xr-x 1 root root  29 Jan 23 13:59 etc/rc0.d/S03led
-rwxr-xr-x 1 root root  30 Jan 23 13:59 etc/rc0.d/S99stop-led
-rw-r--r-- 1 root root 369 Jan  1 06:34 etc/rc1.d/README
-rw-r--r-- 1 root root 677 Jan  1 06:35 etc/rc2.d/README
-rwxr-xr-x 1 root root  28 Jan 23 13:59 etc/rc2.d/S03led
-rwxr-xr-x 1 root root  29 Jan 23 13:59 etc/rc2.d/S99stop-led-flashing
-rw-r--r-- 1 root root 677 Jan  1 06:35 etc/rc3.d/README
-rw-r--r-- 1 root root 677 Jan  1 06:35 etc/rc4.d/README
-rw-r--r-- 1 root root 677 Jan  1 06:35 etc/rc5.d/README
-rw-r--r-- 1 root root 351 Jan  1 06:34 etc/rc6.d/README
-rwxr-xr-x 1 root root  29 Jan 23 13:59 etc/rc6.d/S03led
-rwxr-xr-x 1 root root  30 Jan 23 13:59 etc/rc6.d/S99stop-led
-rw-r--r-- 1 root root 447 Jan  1 06:34 etc/rcS.d/README
-rwxr-xr-x 1 root root  29 Jan 23 13:59 etc/rcS.d/S03led
erik@britannica:~/src/trunk/build/rootfs-mipsel-angel-2.0-1$ 

I think there have to be more files ... for starting the demons.

If I copy the rc files from the file-system from the download section,
the asus starts up.
But because missing other files ... its not fully working...

What i dón't get, is why i get an message that the file build was succesfull.

Thanks

comment:3 Changed 9 years ago by stappers

Summary so far:

  • Previous there was a working combination of kernel and file system
  • The file system is changed ( by a recent rebuild )
  • The current combination doesn't work

comment:4 in reply to: ↑ 1 Changed 9 years ago by stappers

Replying to stappers:

How to test drive a root file system is documented at SmallSteps.

The file system on the USB storage device can also
be test driven with qemu.

Let's assume that USB storage device is detected
on the Linux development host as /dev/sdc

( In case there is some automounting, unmount /dev/sdc1
to prevent data loss on that partition )

The debwrt wiki page SmallSteps
has in a qemu command the string

-hda /usr/src/debwrt/tile

change that into

-hda /dev/sdc

The complete test drive command will be something like

qemu-system-mipsel -M malta -nographic \
  -kernel boot/vmlinux-2.6.32-5-4kc-malta \
  -hda /dev/sdc -parallel none -m 32 \
  -net user -net nic,model=pcnet \
  -append "root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10"

comment:5 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

One question - If i see that the filesystem is not correct, why sould i try smallsteps, to find out that the filesystem is not working ???

In smallSteps by building the kernel I get an error...
It is the same as in ticket74, by building debwrt for asus.

/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless/ath/ath9k/xmit.c: In function 'ath_tx_complete_buf':
/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless/ath/ath9k/xmit.c:1916: error: too many arguments to function 'ath_debug_stat_tx'
make[9]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless/ath/ath9k/xmit.o] Error 1
make[8]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless/ath/ath9k] Error 2
make[7]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless/ath] Error 2
make[6]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/drivers/net/wireless] Error 2
make[5]: *** [_module_/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24] Error 2
make[5]: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/linux-2.6.36.2'
make[4]: *** [modules] Error 2
make[4]: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24'
make[3]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/build_dir/linux-malta_le/compat-wireless-2011-01-24/.built] Error 2
make[3]: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/package/mac80211'
make[2]: *** [package/mac80211/compile] Error 2
make[2]: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default'
make[1]: *** [/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default/staging_dir/target-mipsel_r2_uClibc-0.9.31/stamp/.package_compile] Error 2
make[1]: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default'
make: *** [world] Error 2
make: Leaving directory `/usr/src/debwrt/build/openwrt-malta-le_Default-trunk-default'
make: *** [openwrt/build] Error 2
erik@britannica:/usr/src/debwrt$ 

If I try qemu ....
I get an error - because there is no build kernel ...

erik@britannica:~$ qemu-system-mipsel -M malta -nographic   -kernel boot/vmlinux-2.6.32-5-4kc-malta   -hda /dev/sda -parallel none -m 32   -net user -net nic,model=pcnet   -append "root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10"
boot/vmlinux-2.6.32-5-4kc-malta: No such file or directory
qemu: could not load kernel 'boot/vmlinux-2.6.32-5-4kc-malta'
erik@britannica:~$ 

comment:6 Changed 9 years ago by stappers

Visit SmallSteps again,
look for Debian kernel for test drive
and read that as Debian kernel for test driving a file system

A string search for

boot/vmlinux-2.6.32-5-4kc-malta

on SmallSteps would have brought you also a kernel for qemu.

comment:7 follow-up: Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

OK.
I used the kernel from the testdrive..

My usbdrive with the debwrt filesystem is /dev/sda

I used the kernel from the testdrive and the usb-filesystem/
I enetred the command below:

erik@britannica:~/testdrive$ qemu-system-mipsel -M malta -nographic   -kernel boot/vmlinux-2.6.32-5-4kc-malta   -hda /dev/sda -parallel none -m 32   -net user -net nic,model=pcnet   -append "root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10"

I did get the following output.

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-5-4kc-malta (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 06:13:27 UTC 2011
[    0.000000] 
[    0.000000] LINUX started...
[    0.000000] Config serial console: console=ttyS0,38400n8r
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019300 (MIPS 24Kc)
[    0.000000] FPU revision is: 00739300
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 00001000 @ 00000000 (reserved)
[    0.000000]  memory: 000ef000 @ 00001000 (ROM data)
[    0.000000]  memory: 005af000 @ 000f0000 (reserved)
[    0.000000]  memory: 01961000 @ 0069f000 (usable)
[    0.000000] Wasting 54240 bytes for tracking 1695 unused pages
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line: root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10 console=ttyS0,38400n8r
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 2kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 2kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Writing ErrCtl register=80000000
[    0.000000] Readback ErrCtl register=80000000
[    0.000000] Cache parity protection enabled
[    0.000000] L2 cache parity protection enabled
[    0.000000] Memory: 25700k/25988k available (3973k kernel code, 288k reserved, 1086k data, 208k init, 0k highmem)
[    0.000000] SLUB: Genslabs=7, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:256
[    0.000000] CPU frequency 200.00 MHz
[    0.000000] Console: colour dummy device 80x25
[    0.008000] Calibrating delay loop... 498.68 BogoMIPS (lpj=997376)
[    0.088000] Security Framework initialized
[    0.092000] SELinux:  Disabled at boot.
[    0.092000] Mount-cache hash table entries: 512
[    0.100000] Initializing cgroup subsys ns
[    0.104000] Initializing cgroup subsys cpuacct
[    0.108000] Initializing cgroup subsys devices
[    0.108000] Initializing cgroup subsys freezer
[    0.112000] Initializing cgroup subsys net_cls
[    0.124000] devtmpfs: initialized
[    0.136000] regulator: core version 0.5
[    0.140000] NET: Registered protocol family 16
[    0.168000] bio: create slab <bio-0> at 0
[    0.172000] vgaarb: loaded
[    0.176000] SCSI subsystem initialized
[    0.184000] pci 0000:00:0a.3: BAR 14: address space collision on of bridge [0x1100-0x110f]
[    0.188000] pci 0000:00:0a.3: quirk: region 1100-110f claimed by PIIX4 SMB
[    0.196000] vgaarb: device added: PCI:0000:00:12.0,decodes=io+mem,owns=io+mem,locks=none
[    0.200000] pci 0000:00:0a.3: BAR 14: bogus alignment [0x1100-0x110f] flags 0x100
[    0.208000] Switching to clocksource MIPS
[    0.260000] NET: Registered protocol family 2
[    0.264000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.272000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.280000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.284000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.288000] TCP reno registered
[    0.308000] NET: Registered protocol family 1
[    0.312000] RPC: Registered udp transport module.
[    0.312000] RPC: Registered tcp transport module.
[    0.316000] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.328000] audit: initializing netlink socket (disabled)
[    0.328000] type=2000 audit(1296248458.328:1): initialized
[    0.384000] VFS: Disk quotas dquot_6.5.2
[    0.388000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.408000] msgmni has been set to 50
[    0.440000] alg: No test for stdrng (krng)
[    0.444000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.448000] io scheduler noop registered
[    0.448000] io scheduler anticipatory registered
[    0.452000] io scheduler deadline registered
[    0.456000] io scheduler cfq registered (default)
[    0.460000] cirrusfb 0000:00:12.0: Cirrus Logic chipset on PCI bus, RAM (4096 kB) at 0x10000000
[    0.720000] Console: switching to colour frame buffer device 80x30
[    0.796000] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.804000] serial8250.0: ttyS0 at I/O 0x3f8 (irq = 4) is a 16450
[    0.812000] console [ttyS0] enabled, bootconsole disabled
[    0.812000] console [ttyS0] enabled, bootconsole disabled
[    0.820000] serial8250.0: ttyS2 at MMIO 0x1f000900 (irq = 18) is a 16450
[    0.888000] brd: module loaded
[    0.892000] PCI: Enabling device 0000:00:0a.1 (0000 -> 0001)
[    0.900000] scsi0 : ata_piix
[    0.920000] scsi1 : ata_piix
[    0.924000] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0x1040 irq 14
[    0.928000] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0x1048 irq 15
[    0.952000] pcnet32.c:v1.35 21.Apr.2008 tsbogend@alpha.franken.de
[    0.956000] pcnet32: PCnet/PCI II 79C970A at 0x1020, 52:54:00:12:34:56 assigned IRQ 10.
[    0.972000] eth0: registered as PCnet/PCI II 79C970A
[    0.972000] pcnet32: 1 cards_found.
[    0.976000] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.976000] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.988000] mice: PS/2 mouse device common for all mice
[    0.988000] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.988000] rtc0: alarms up to one day, 242 bytes nvram
[    1.016000] TCP cubic registered
[    1.016000] NET: Registered protocol family 17
[    1.020000] registered taskstats version 1
[    1.020000] rtc_cmos rtc_cmos: setting system clock to 2011-01-28 21:01:01 UTC (1296248461)
[    1.024000] Initalizing network drop monitor service
[    1.092000] input: AT Raw Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.100000] ata1.00: ATA-7: QEMU HARDDISK, 0.9.1, max UDMA/100
[    1.104000] ata1.00: 7897088 sectors, multi 16: LBA48 
[    1.104000] ata2.00: ATAPI: QEMU CD-ROM, 0.9.1, max UDMA/100
[    1.104000] ata2.00: configured for UDMA/33
[    1.108000] ata1.00: configured for UDMA/33
[    1.116000] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.9. PQ: 0 ANSI: 5
[    1.132000] sd 0:0:0:0: [sda] 7897088 512-byte logical blocks: (4.04 GB/3.76 GiB)
[    1.136000] sd 0:0:0:0: [sda] Write Protect is off
[    1.152000] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    1.160000] scsi 1:0:0:0: CD-ROM            QEMU     QEMU CD-ROM      0.9. PQ: 0 ANSI: 5
[    1.176000]  sda: sda1 sda2
[    1.224000] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.260000] kjournald starting.  Commit interval 5 seconds
[    1.264000] EXT3-fs: mounted filesystem with ordered data mode.
[    1.268000] VFS: Mounted root (ext3 filesystem) readonly on device 8:1.
[    1.288000] Freeing prom memory: 956k freed
[    1.332000] Freeing unused kernel memory: 208k freed
[    1.348000] Warning: unable to open an initial console.
[    2.004000] EXT3 FS on sda1, internal journal
[    2.160000] eth0: link up

So as you can see i get no prompt.
I have the same problem,

  • the filesystem is mounted
  • but is not started ......

The problem is i think in the file system.
The missing startup-files in the rcx.d directory's...
No processes are started ...

(((If i copy the /etc/rc* from the filesystem downloaded from the website to the /etc/rc, i get a system what will start, but is wrecked, because more files are missing !!!!)))

The names of the missing files are in the attached file (ref. only in debwrt)

I hope this is helpfull

comment:8 in reply to: ↑ 7 Changed 9 years ago by stappers

Replying to E.D.Grootjans <e.d.grootjans@…>:

I did get the following output.

    ...
[    0.000000] Config serial console: console=ttyS0,38400n8r
    ...
[    0.000000] Kernel command line: root=/dev/sda1 probe_mask=0x3f
         init=/sbin/init root_delay=10 console=ttyS0,38400n8r
    ...
[    1.264000] EXT3-fs: mounted filesystem with ordered data mode.
[    1.268000] VFS: Mounted root (ext3 filesystem) readonly on device 8:1.
[    1.288000] Freeing prom memory: 956k freed
[    1.332000] Freeing unused kernel memory: 208k freed
[    1.348000] Warning: unable to open an initial console.
[    2.004000] EXT3 FS on sda1, internal journal
[    2.160000] eth0: link up



So the new clue seems to be

 [    1.348000] Warning: unable to open an initial console.

Pursuit it ...

  • Quit qemu
  • Mount the USB storage device with the f.s. on your development host
  • Check the content of the directory dev
killall qemu-system-mipsel
mount /dev/sda1 /mnt
ls -l /mnt/dev/console /mnt/dev/ttyS? /mnt/dev/sda /mnt/dev/sda1

comment:10 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

Output off the ls command:

erik@britannica:~$ cd /media 
erik@britannica:/media$ ls
DEBWRT_ROOT  DEBWRT_ROOT_  cdrom  cdrom0  cdrom1  floppy  floppy0
erik@britannica:/media$ cd DEBWRT_ROOT_
erik@britannica:/media/DEBWRT_ROOT_$ ls
bin   debootstrap  etc   lib  proc  sbin     sys  usr
boot  dev          home  mnt  root  selinux  tmp  var
erik@britannica:/media/DEBWRT_ROOT_$ ls -l dev/console dev/tty$? dev/sda dev/sda1
ls: cannot access dev/console: No such file or directory
ls: cannot access dev/tty0: No such file or directory
ls: cannot access dev/sda: No such file or directory
ls: cannot access dev/sda1: No such file or directory
erik@britannica:/media/DEBWRT_ROOT_$ 
erik@britannica:/media/DEBWRT_ROOT_$ cd dev
erik@britannica:/media/DEBWRT_ROOT_/dev$ ls
core     kmem   loop3  loop7  ptmx  ram1   ram13  ram2  ram6  random  tty
fd       loop0  loop4  mem    pts   ram10  ram14  ram3  ram7  stderr  urandom
full     loop1  loop5  null   ram   ram11  ram15  ram4  ram8  stdin   zero
initctl  loop2  loop6  port   ram0  ram12  ram16  ram5  ram9  stdout
erik@britannica:/media/DEBWRT_ROOT_/dev$ 

comment:11 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

Is it off some help to get a file with the differences between the working filesystem (of the website) and the created one? You than can see what files are only in the working filesystem...

comment:12 Changed 9 years ago by stappers

  • Owner changed from amain to stappers
  • Status changed from new to accepted

A file with differences can wait. We have allready a good diagnostic:

erik@britannica:/media/DEBWRT_ROOT_$ ls -l dev/console dev/tty$? dev/sda dev/sda1
ls: cannot access dev/console: No such file or directory
ls: cannot access dev/tty0: No such file or directory
ls: cannot access dev/sda: No such file or directory
ls: cannot access dev/sda1: No such file or directory

I think it is related to debootstrap device files as in #64

Apply this patch

--- debian/rootfs/debian.mk     (revision 156)
+++ debian/rootfs/debian.mk     (working copy)
@@ -62,6 +62,9 @@
                     $(DEBIAN_BUILD_VERSION) \
                     $(ROOTFS_BUILD_DIR) \
                     $(CONFIG_DEBIAN_BUILDENV_REPOSITORY)
+       # complete ROOTFS/dev/ with additional device files
+       sudo bash -c "cd $(ROOTFS_BUILD_DIR)/dev ; /sbin/MAKEDEV -v consoleonly"
+       sudo bash -c "cd $(ROOTFS_BUILD_DIR)/dev ; /sbin/MAKEDEV -v sda"
        touch $@
 
 debian/rootfs/unpack: debian/rootfs/bootstrap

and report your milage.

comment:16 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

I did the modification in debwrt/debian/rootfs/debian.mk

Then i get the following output:

[    1.268000]  sda: sda1 sda2
[    1.300000] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.340000] kjournald starting.  Commit interval 5 seconds
[    1.348000] EXT3-fs: mounted filesystem with ordered data mode.
[    1.352000] VFS: Mounted root (ext3 filesystem) readonly on device 8:1.
[    1.360000] Freeing prom memory: 956k freed
[    1.400000] Freeing unused kernel memory: 208k freed
modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

INIT: version 2.88 booting
[    2.168000] EXT3 FS on sda1, internal journal
[    2.440000] eth0: link up

modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory
Welcome to the DebWrt post installation!


modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

Press ctrl-d for normal boot. Use vim.tiny to edit files.

Note that both telnetd and sshd are running on: 192.168.1.1 and on 192.168.1.20.

Second stage install instructions:

- /debootstrap/debootstrap --second-stage
- rm -rf /var/cache/apt/archives
- mkdir -p /var/cache/apt/archives/partial
- echo "deb http://ftp.debian.org/debian squeeze main" >>/etc/apt/sources.list
  OR
modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

- echo "deb http://ftp.debian.org/debian sid main" >>/etc/apt/sources.list
- for Lenny: dpkg-reconfigure dash

 Don't execute these lines, these are a reminder for myself(amain) when preparing an DebWrt release:
- rm -rf /lib/modules/*
- rm -rf /lib/firmware/*

modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

root@debwrt:/# 

Looks good....
And now the scond stage:

root@debwrt:/# /debootstrap/debootstrap --second-stage
I: Installing core packages...
I: Unpacking required packages...
I: Unpacking libacl1...
I: Unpacking libattr1...
I: Unpacking base-files...
I: Unpacking base-passwd...
I: Unpacking bash...
.
.
Last edited 9 years ago by stappers (previous) (diff)

comment:17 Changed 9 years ago by stappers

Summary so far:

We are beyond

 Warning: unable to open an initial console.

and

/sbin/MAKEDEV consoleonly

patch is commited in r161

comment:18 follow-up: Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

rebooting....

root@debwrt:/# reboot
INIT: Switching to runlevel: 6
INIT: Sending processes the TERM signal
Stopping internet superserver: inetd.
Saving the system clock.
Cannot access the Hardware Clock via any known method.
Use the --debug option to see the details of our search for an access method.
Clearing ebtables rulesets:grep: /proc/modules: No such file or directory
 no kernel support.
Asking all remaining processes to terminate...done.
All processes ended within 1 seconds....done.
Stopping enhanced syslogd: rsyslogd already stopped.
Deconfiguring network interfaces...done.
Cleaning up ifupdown....
Deactivating swap...done.
mount: / is busy
Will now restart.
Bad SWSTYLE=0x04
[ 6220.452000] Restarting system.
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-5-4kc-malta (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 06:13:27 UTC 2011
[    0.000000] 
[    0.000000] LINUX started...
[    0.000000] Config serial console: console=ttyS0,38400n8r
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019300 (MIPS 24Kc)
[    0.000000] FPU revision is: 00739300
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 00001000 @ 00000000 (reserved)
[    0.000000]  memory: 000ef000 @ 00001000 (ROM data)
[    0.000000]  memory: 005af000 @ 000f0000 (reserved)
[    0.000000]  memory: 01961000 @ 0069f000 (usable)
[    0.000000] Wasting 54240 bytes for tracking 1695 unused pages
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line: root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10 console=ttyS0,38400n8r
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 2kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 2kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Writing ErrCtl register=80000000
[    0.000000] Readback ErrCtl register=80000000
[    0.000000] Cache parity protection enabled
[    0.000000] L2 cache parity protection enabled
[    0.000000] Memory: 25700k/25988k available (3973k kernel code, 288k reserved, 1086k data, 208k init, 0k highmem)
[    0.000000] SLUB: Genslabs=7, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:256
[    0.000000] CPU frequency 200.00 MHz
[    0.000000] Console: colour VGA+ 80x25
[    0.008000] Calibrating delay loop... 497.66 BogoMIPS (lpj=995328)
[    0.088000] Security Framework initialized
[    0.092000] SELinux:  Disabled at boot.
[    0.092000] Mount-cache hash table entries: 512
[    0.100000] Initializing cgroup subsys ns
[    0.104000] Initializing cgroup subsys cpuacct
[    0.108000] Initializing cgroup subsys devices
[    0.108000] Initializing cgroup subsys freezer
[    0.108000] Initializing cgroup subsys net_cls
[    0.120000] devtmpfs: initialized
[    0.132000] regulator: core version 0.5
[    0.132000] NET: Registered protocol family 16
[    0.160000] bio: create slab <bio-0> at 0
[    0.164000] vgaarb: loaded
[    0.168000] SCSI subsystem initialized
[    0.176000] pci 0000:00:0a.3: BAR 14: address space collision on of bridge [0x1100-0x110f]
[    0.180000] pci 0000:00:0a.3: quirk: region 1100-110f claimed by PIIX4 SMB
[    0.192000] vgaarb: device added: PCI:0000:00:12.0,decodes=io+mem,owns=io+mem,locks=none
[    0.192000] pci 0000:00:0a.3: BAR 14: bogus alignment [0x1100-0x110f] flags 0x100
[    0.200000] Switching to clocksource MIPS
[    0.260000] NET: Registered protocol family 2
[    0.264000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.272000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.280000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.280000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.284000] TCP reno registered
[    0.288000] NET: Registered protocol family 1
[    0.308000] RPC: Registered udp transport module.
[    0.312000] RPC: Registered tcp transport module.
[    0.312000] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.324000] audit: initializing netlink socket (disabled)
[    0.328000] type=2000 audit(1296423864.328:1): initialized
[    0.384000] VFS: Disk quotas dquot_6.5.2
[    0.388000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.408000] msgmni has been set to 50
[    0.440000] alg: No test for stdrng (krng)
[    0.440000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.444000] io scheduler noop registered
[    0.448000] io scheduler anticipatory registered
[    0.448000] io scheduler deadline registered
[    0.452000] io scheduler cfq registered (default)
[    0.456000] cirrusfb 0000:00:12.0: Cirrus Logic chipset on PCI bus, RAM (4096 kB) at 0x10000000
.....

Here it becomes quiet....

comment:19 in reply to: ↑ 18 Changed 9 years ago by stappers

Replying to E.D.Grootjans <e.d.grootjans@…>:

rebooting....

  .
  .
[ 6220.452000] Restarting system.
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-5-4kc-malta (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 06:13:27 UTC 2011
[    0.000000] 
[    0.000000] LINUX started...
[    0.000000] Config serial console: console=ttyS0,38400n8r
[    0.000000] bootconsole [early0] enabled
  .
[    0.000000] Kernel command line: root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10 console=ttyS0,38400n8r
  .
[    0.456000] cirrusfb 0000:00:12.0: Cirrus Logic chipset on PCI bus, RAM (4096 kB) at 0x10000000
.....

Here it becomes quiet....

Strange. Two things to try

First: Do a cold boot by quit and start qemu

Second: Check for dev/ttyS0 presence, otherwise /sbin/MAKEDEV ttyS0

comment:20 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

A cold boot with qemu:

erik@britannica:/usr/src$ ./qemu
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-5-4kc-malta (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Wed Jan 12 06:13:27 UTC 2011
[    0.000000] 
[    0.000000] LINUX started...
[    0.000000] Config serial console: console=ttyS0,38400n8r
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019300 (MIPS 24Kc)
[    0.000000] FPU revision is: 00739300
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 00001000 @ 00000000 (reserved)
[    0.000000]  memory: 000ef000 @ 00001000 (ROM data)
[    0.000000]  memory: 005af000 @ 000f0000 (reserved)
[    0.000000]  memory: 01961000 @ 0069f000 (usable)
[    0.000000] Wasting 54240 bytes for tracking 1695 unused pages
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line: root=/dev/sda1 probe_mask=0x3f init=/sbin/init root_delay=10 console=ttyS0,38400n8r
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 2kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 2kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Writing ErrCtl register=80000000
[    0.000000] Readback ErrCtl register=80000000
[    0.000000] Cache parity protection enabled
[    0.000000] L2 cache parity protection enabled
[    0.000000] Memory: 25700k/25988k available (3973k kernel code, 288k reserved, 1086k data, 208k init, 0k highmem)
[    0.000000] SLUB: Genslabs=7, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:256
[    0.000000] CPU frequency 200.00 MHz
[    0.000000] Console: colour dummy device 80x25
[    0.008000] Calibrating delay loop... 130.81 BogoMIPS (lpj=261632)
[    0.068000] Security Framework initialized
[    0.072000] SELinux:  Disabled at boot.
[    0.072000] Mount-cache hash table entries: 512
[    0.080000] Initializing cgroup subsys ns
[    0.084000] Initializing cgroup subsys cpuacct
[    0.084000] Initializing cgroup subsys devices
[    0.088000] Initializing cgroup subsys freezer
[    0.088000] Initializing cgroup subsys net_cls
[    0.104000] devtmpfs: initialized
[    0.112000] regulator: core version 0.5
[    0.116000] NET: Registered protocol family 16
[    0.148000] bio: create slab <bio-0> at 0
[    0.156000] vgaarb: loaded
[    0.160000] SCSI subsystem initialized
[    0.168000] pci 0000:00:0a.3: BAR 14: address space collision on of bridge [0x1100-0x110f]
[    0.172000] pci 0000:00:0a.3: quirk: region 1100-110f claimed by PIIX4 SMB
[    0.180000] vgaarb: device added: PCI:0000:00:12.0,decodes=io+mem,owns=io+mem,locks=none
[    0.188000] pci 0000:00:0a.3: BAR 14: bogus alignment [0x1100-0x110f] flags 0x100
[    0.196000] Switching to clocksource MIPS
[    0.256000] NET: Registered protocol family 2
[    0.260000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.268000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.276000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.280000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.284000] TCP reno registered
[    0.304000] NET: Registered protocol family 1
[    0.308000] RPC: Registered udp transport module.
[    0.308000] RPC: Registered tcp transport module.
[    0.312000] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.324000] audit: initializing netlink socket (disabled)
[    0.324000] type=2000 audit(1296462388.324:1): initialized
[    0.384000] VFS: Disk quotas dquot_6.5.2
[    0.388000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.404000] msgmni has been set to 50
[    0.436000] alg: No test for stdrng (krng)
[    0.440000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.444000] io scheduler noop registered
[    0.448000] io scheduler anticipatory registered
[    0.448000] io scheduler deadline registered
[    0.452000] io scheduler cfq registered (default)
[    0.456000] cirrusfb 0000:00:12.0: Cirrus Logic chipset on PCI bus, RAM (4096 kB) at 0x10000000
[    0.568000] Console: switching to colour frame buffer device 80x30
[    0.644000] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.652000] serial8250.0: ttyS0 at I/O 0x3f8 (irq = 4) is a 16450
[    0.660000] console [ttyS0] enabled, bootconsole disabled
[    0.660000] console [ttyS0] enabled, bootconsole disabled
[    0.668000] serial8250.0: ttyS2 at MMIO 0x1f000900 (irq = 18) is a 16450
[    0.740000] brd: module loaded
[    0.740000] PCI: Enabling device 0000:00:0a.1 (0000 -> 0001)
[    0.748000] scsi0 : ata_piix
[    0.768000] scsi1 : ata_piix
[    0.772000] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0x1040 irq 14
[    0.776000] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0x1048 irq 15
[    0.804000] pcnet32.c:v1.35 21.Apr.2008 tsbogend@alpha.franken.de
[    0.816000] pcnet32: PCnet/PCI II 79C970A at 0x1020, 52:54:00:12:34:56 assigned IRQ 10.
[    0.828000] eth0: registered as PCnet/PCI II 79C970A
[    0.828000] pcnet32: 1 cards_found.
[    0.832000] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.836000] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.852000] mice: PS/2 mouse device common for all mice
[    0.856000] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.856000] rtc0: alarms up to one day, 242 bytes nvram
[    0.868000] TCP cubic registered
[    0.880000] NET: Registered protocol family 17
[    0.884000] registered taskstats version 1
[    0.892000] rtc_cmos rtc_cmos: setting system clock to 2011-01-25 08:20:24 UTC (1295943624)
[    0.892000] Initalizing network drop monitor service
[    0.956000] ata1.00: ATA-7: QEMU HARDDISK, 0.9.1, max UDMA/100
[    0.960000] ata1.00: 7897088 sectors, multi 16: LBA48 
[    0.964000] ata2.00: ATAPI: QEMU CD-ROM, 0.9.1, max UDMA/100
[    0.972000] input: AT Raw Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.972000] ata2.00: configured for UDMA/33
[    0.980000] ata1.00: configured for UDMA/33
[    1.004000] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.9. PQ: 0 ANSI: 5
[    1.012000] sd 0:0:0:0: [sda] 7897088 512-byte logical blocks: (4.04 GB/3.76 GiB)
[    1.020000] scsi 1:0:0:0: CD-ROM            QEMU     QEMU CD-ROM      0.9. PQ: 0 ANSI: 5
[    1.028000] sd 0:0:0:0: [sda] Write Protect is off
[    1.036000] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    1.064000]  sda: sda1 sda2
[    1.096000] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.128000] EXT3-fs: INFO: recovery required on readonly filesystem.
[    1.144000] EXT3-fs: write access will be enabled during recovery.
[    2.808000] kjournald starting.  Commit interval 5 seconds
[    2.812000] EXT3-fs: sda1: orphan cleanup on readonly fs
[    2.848000] EXT3-fs: sda1: 6 orphan inodes deleted
[    2.852000] EXT3-fs: recovery complete.
[    2.888000] EXT3-fs: mounted filesystem with ordered data mode.
[    2.892000] VFS: Mounted root (ext3 filesystem) readonly on device 8:1.
[    2.916000] Freeing prom memory: 956k freed
[    2.956000] Freeing unused kernel memory: 208k freed
modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

INIT: version 2.88 booting
.udev/ already exists on the static /dev! ... (warning).
Starting the hotplug events dispatcher: udevd.
Synthesizing the initial hotplug events...done.
Waiting for /dev to be fully populated...done.
Setting parameters of disc: (none).
Activating swap...[   15.760000] Adding 128512k swap on /dev/sda2.  Priority:-1 extents:1 across:128512k 
done.
[   15.936000] EXT3 FS on sda1, internal journal
Cleaning up ifupdown....
Loading kernel modules...done.
Activating lvm and md swap...done.
Checking file systems...fsck from util-linux-ng 2.17.2
done.
Setting kernel variables ...done.
Mounting local filesystems...done.
Activating swapfile swap...done.
Cleaning up temporary files....
Setting up networking....
Configuring network interfaces...[   24.168000] eth0: link up
done.
modprobe: FATAL: Could not load /lib/modules/2.6.32-5-4kc-malta/modules.dep: No such file or directory

Cleaning up temporary files....
INIT: Entering runlevel: 2
Starting enhanced syslogd: rsyslogd.
Starting OpenBSD Secure Shell server: sshd.
Starting internet superserver: inetd.
Starting NTP server: ntpd.
Starting periodic command scheduler: cron.

Debian GNU/Linux 6.0 debwrt ttyS0

debwrt login: root
Password: 
Linux debwrt 2.6.32-5-4kc-malta #1 Wed Jan 12 06:13:27 UTC 2011 mips

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
root@debwrt:~# 

Second: Check for dev/ttyS0:

root@debwrt:~# 
root@debwrt:~# cd /dev
root@debwrt:/dev# ls -l ttyS*
crw------- 1 root tty     4, 64 Jan 25 08:23 ttyS0
crw-rw---- 1 root dialout 4, 65 Jan 25 08:20 ttyS1
crw-rw---- 1 root dialout 4, 66 Jan 25 08:20 ttyS2
crw-rw---- 1 root dialout 4, 67 Jan 25 08:20 ttyS3
root@debwrt:/dev# 

Looks like its OK all the way.
(The module error is because i did not instal the modules for the kernel, i use.)
So...

Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

log bestand van het opstarten van de ASUS WL500g-deLuxe met debwrt rev156

comment:21 Changed 9 years ago by E.D.Grootjans <e.d.grootjans@…>

I have made a brcm47xx kernel and a mipsel filesystem, it is WORKING.
I have just flashed the ASUS WL500g-deLuxe and all the warnings -- module not found are gone --
I have use r156 with the 2 patches
1) update for svn openwrt
2) change in debian/rootfs/debian.mk

It is working. I'm glad.

comment:22 Changed 9 years ago by stappers

It is working.

Acknowlegde, ticket close waits on update of our public SVN server.

comment:23 Changed 9 years ago by amain

  • Resolution set to fixed
  • Status changed from accepted to closed

Great work. Patch committed to main SVN. Closing ticket.

Add Comment

Modify Ticket

Action
as closed The owner will remain stappers.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.